org.eclipse.graphiti.mm.algorithms.styles

## Enum Orientation

- java.lang.Object
- - java.lang.Enum<Orientation>
  - - org.eclipse.graphiti.mm.algorithms.styles.Orientation

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Orientation>, org.eclipse.emf.common.util.Enumerator

    public enum Orientation
    extends java.lang.Enum<Orientation>
    implements org.eclipse.emf.common.util.Enumerator

A representation of the literals of the enumeration 'Orientation', and utility methods for working with them.

See Also:
  `StylesPackage.getOrientation()`

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ALIGNMENT_BOTTOM` The 'ALIGNMENT BOTTOM' literal object.
`ALIGNMENT_CENTER` The 'ALIGNMENT CENTER' literal object.
`ALIGNMENT_LEFT` The 'ALIGNMENT LEFT' literal object.
`ALIGNMENT_MIDDLE` The 'ALIGNMENT MIDDLE' literal object.
`ALIGNMENT_RIGHT` The 'ALIGNMENT RIGHT' literal object.
`ALIGNMENT_TOP` The 'ALIGNMENT TOP' literal object.
`UNSPECIFIED` The 'UNSPECIFIED' literal object.

### Field Summary

Fields
`static int` `ALIGNMENT_BOTTOM_VALUE` The 'ALIGNMENT BOTTOM' literal value.
`static int` `ALIGNMENT_CENTER_VALUE` The 'ALIGNMENT CENTER' literal value.
`static int` `ALIGNMENT_LEFT_VALUE` The 'ALIGNMENT LEFT' literal value.
`static int` `ALIGNMENT_MIDDLE_VALUE` The 'ALIGNMENT MIDDLE' literal value.
`static int` `ALIGNMENT_RIGHT_VALUE` The 'ALIGNMENT RIGHT' literal value.
`static int` `ALIGNMENT_TOP_VALUE` The 'ALIGNMENT TOP' literal value.
`static int` `UNSPECIFIED_VALUE` The 'UNSPECIFIED' literal value.
`static java.util.List<Orientation>` `VALUES` A public read-only list of all the 'Orientation' enumerators.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Orientation` `get(int value)` Returns the 'Orientation' literal with the specified integer value.
`static Orientation` `get(java.lang.String literal)` Returns the 'Orientation' literal with the specified literal value.
`static Orientation` `getByName(java.lang.String name)` Returns the 'Orientation' literal with the specified name.
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation.
`static Orientation` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Orientation[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALIGNMENT_CENTER

    public static final Orientation ALIGNMENT_CENTER

The 'ALIGNMENT CENTER' literal object.

See Also:
  `ALIGNMENT_CENTER_VALUE`

#### ALIGNMENT_LEFT

    public static final Orientation ALIGNMENT_LEFT

The 'ALIGNMENT LEFT' literal object.

See Also:
  `ALIGNMENT_LEFT_VALUE`

#### ALIGNMENT_TOP

    public static final Orientation ALIGNMENT_TOP

The 'ALIGNMENT TOP' literal object.

See Also:
  `ALIGNMENT_TOP_VALUE`

#### ALIGNMENT_RIGHT

    public static final Orientation ALIGNMENT_RIGHT

The 'ALIGNMENT RIGHT' literal object.

See Also:
  `ALIGNMENT_RIGHT_VALUE`

#### ALIGNMENT_BOTTOM

    public static final Orientation ALIGNMENT_BOTTOM

The 'ALIGNMENT BOTTOM' literal object.

See Also:
  `ALIGNMENT_BOTTOM_VALUE`

#### ALIGNMENT_MIDDLE

    public static final Orientation ALIGNMENT_MIDDLE

The 'ALIGNMENT MIDDLE' literal object.

See Also:
  `ALIGNMENT_MIDDLE_VALUE`

#### UNSPECIFIED

    public static final Orientation UNSPECIFIED

The 'UNSPECIFIED' literal object.

See Also:
  `UNSPECIFIED_VALUE`

### Field Detail

#### ALIGNMENT_CENTER_VALUE

    public static final int ALIGNMENT_CENTER_VALUE

The 'ALIGNMENT CENTER' literal value.

If the meaning of 'ALIGNMENT CENTER' literal object isn't clear, there really should be more of a description here...

See Also:
  `ALIGNMENT_CENTER`, Constant Field Values

#### ALIGNMENT_LEFT_VALUE

    public static final int ALIGNMENT_LEFT_VALUE

The 'ALIGNMENT LEFT' literal value.

If the meaning of 'ALIGNMENT LEFT' literal object isn't clear, there really should be more of a description here...

See Also:
  `ALIGNMENT_LEFT`, Constant Field Values

#### ALIGNMENT_TOP_VALUE

    public static final int ALIGNMENT_TOP_VALUE

The 'ALIGNMENT TOP' literal value.

If the meaning of 'ALIGNMENT TOP' literal object isn't clear, there really should be more of a description here...

See Also:
  `ALIGNMENT_TOP`, Constant Field Values

#### ALIGNMENT_RIGHT_VALUE

    public static final int ALIGNMENT_RIGHT_VALUE

The 'ALIGNMENT RIGHT' literal value.

If the meaning of 'ALIGNMENT RIGHT' literal object isn't clear, there really should be more of a description here...

See Also:
  `ALIGNMENT_RIGHT`, Constant Field Values

#### ALIGNMENT_BOTTOM_VALUE

    public static final int ALIGNMENT_BOTTOM_VALUE

The 'ALIGNMENT BOTTOM' literal value.

If the meaning of 'ALIGNMENT BOTTOM' literal object isn't clear, there really should be more of a description here...

See Also:
  `ALIGNMENT_BOTTOM`, Constant Field Values

#### ALIGNMENT_MIDDLE_VALUE

    public static final int ALIGNMENT_MIDDLE_VALUE

The 'ALIGNMENT MIDDLE' literal value.

If the meaning of 'ALIGNMENT MIDDLE' literal object isn't clear, there really should be more of a description here...

See Also:
  `ALIGNMENT_MIDDLE`, Constant Field Values

#### UNSPECIFIED_VALUE

    public static final int UNSPECIFIED_VALUE

The 'UNSPECIFIED' literal value.

If the meaning of 'UNSPECIFIED' literal object isn't clear, there really should be more of a description here...

See Also:
  `UNSPECIFIED`, Constant Field Values

#### VALUES

    public static final java.util.List<Orientation> VALUES

A public read-only list of all the 'Orientation' enumerators.

### Method Detail

#### values

    public static Orientation[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Orientation c : Orientation.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Orientation valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### get

    public static Orientation get(java.lang.String literal)

Returns the 'Orientation' literal with the specified literal value.

#### getByName

    public static Orientation getByName(java.lang.String name)

Returns the 'Orientation' literal with the specified name.

#### get

    public static Orientation get(int value)

Returns the 'Orientation' literal with the specified integer value.

#### getValue

    public int getValue()

Specified by:
  `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `org.eclipse.emf.common.util.Enumerator`

#### getLiteral

    public java.lang.String getLiteral()

Specified by:
  `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

#### toString

    public java.lang.String toString()

Returns the literal value of the enumerator, which is its string representation.

Overrides:
  `toString` in class `java.lang.Enum<Orientation>`